Subject: bug#77512: closed (Re: bug#77512: Bug in documentation on building from git)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 04 Apr 2025 00:47:02 +0000

Your bug report

#77512: Bug in documentation on building from git

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77512: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77512
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77512: Bug in documentation on building from git
From: John Kehayias <[email-masked]>
To: "nomike (they/them)" <[email-masked]>
Cc: [email-masked]
Date: Fri, 04 Apr 2025 00:46:05 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Fri, Apr 04, 2025 at 12:58 AM, nomike (they/them) wrote:

> Hi!
>
> I'm relatively new to guix and I'm walking trough [Building from
> git](0) right now.
>
> It says to run `make authenticate` towards the end, but this only
> leads into make complaining:
>
>> make: *** No rule to make target 'authenticate'.  Stop.
>
> In `NEWS` it is stated that the is the "new" `guix git authenticate`
> has been added in version 1.2.0, which seems to have been released ~ 5
> years ago.
> So I guess the documentation is just outdated.
>
> cheers
>
> nomike
>
> (0) https://guix.gnu.org/manual/en/html_node/Building-from-Git.html

Yes, you are reading the old manual (corresponding to the 1.4.0 release
of Guix). Once you run 'guix pull' you are on the latest commit of Guix.
The manual is then
<https://guix.gnu.org/manual/devel/en/html_node/Building-from-Git.html>.
Note the "devel" which you will also get to by following the "GNU Guix
Manual (latest)" link from the Help menu on the project webpage.

Yes, this is confusing, and yes it is known, but unfortunately not made
clear on the documentation site.

Sorry about that!

I'll go ahead and close this in favor of other instances of this problem
and I think some possible patches that we need to revive (but I don't
have the number off the top of my head).

John

Subject: Bug in documentation on building from git
From: "nomike (they/them)" <[email-masked]>
To: [email-masked]
Date: Fri, 4 Apr 2025 00:58:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I'm relatively new to guix and I'm walking trough [Building from git](0) 
right now.

It says to run `make authenticate` towards the end, but this only leads 
into make complaining:

 > make: *** No rule to make target 'authenticate'.  Stop.

In `NEWS` it is stated that the is the "new" `guix git authenticate` has 
been added in version 1.2.0, which seems to have been released ~ 5 years 
ago.
So I guess the documentation is just outdated.

cheers

nomike

(0) https://guix.gnu.org/manual/en/html_node/Building-from-Git.html